#!/bin/sh

[ -z "$1" ] && exit 1

### Custom user script for printer hotplug event handling
### First param is /dev/usb/lp[0-9]

### Example: load firmware to printer HP LJ1020
lpfw="/opt/share/firmware/sihp1020.dl"
if [ -r "$lpfw" ] ; then
	cat "$lpfw" > "$1"
fi

